version: "3.7"

services:
  app_proxy:
    environment:
      APP_HOST: btc-rpc-explorer_web_1
      APP_PORT: 8080

  web:
    image: getumbrel/btc-rpc-explorer:v3.5.1@sha256:ebf4cdafc189761b909bb3e211b01a6b50d2f08097f3493543ed9c3174d83d89
    restart: on-failure
    stop_grace_period: 1m
    environment:
      # Требования к докеру
      BTCEXP_HOST: 0.0.0.0
      BTCEXP_PORT: 8080
      # Биткойн-ядро
      BTCEXP_BITCOIND_HOST: $APP_BITCOIN_NODE_IP
      BTCEXP_BITCOIND_PORT: $APP_BITCOIN_RPC_PORT
      BTCEXP_BITCOIND_USER: $APP_BITCOIN_RPC_USER
      BTCEXP_BITCOIND_PASS: $APP_BITCOIN_RPC_PASS
      # Электрум
      BTCEXP_ADDRESS_API: electrumx
      BTCEXP_ELECTRUMX_SERVERS: "tcp://$APP_ELECTRS_NODE_IP:$APP_ELECTRS_NODE_PORT"
      # Уровень журнала
      DEBUG: "btcexp:*,electrumClient"
      # Производительность
      BTCEXP_SLOW_DEVICE_MODE: "true"
      BTCEXP_NO_INMEMORY_RPC_CACHE: "true"
      # Конфиденциальность
      BTCEXP_PRIVACY_MODE: "true"
      BTCEXP_NO_RATES: "true"
      # Отключить RPC
      BTCEXP_RPC_ALLOWALL: "false"
      BTCEXP_BASIC_AUTH_PASSWORD: ${APP_PASSWORD}
